cURL
curl --request GET \
--url https://api.recoupable.com/api/post/comments \
--header 'x-api-key: <api-key>'import requests
url = "https://api.recoupable.com/api/post/comments"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.recoupable.com/api/post/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"comments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"social_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"commented_at": "2023-11-07T05:31:56Z",
"username": "<string>",
"profile_url": "<string>",
"post_url": "<string>",
"avatar": "<string>",
"region": "<string>",
"bio": "<string>",
"follower_count": 123,
"following_count": 123
}
],
"pagination": {
"total_count": 123,
"page": 123,
"limit": 123,
"total_pages": 123
}
}{
"status": "error",
"error": "<string>"
}Post
Get Post Comments
Retrieve comments for a specific social media post. This endpoint should be called after obtaining post IDs from the Social Posts endpoint. Returns detailed information about each commenter including their profile data, follower counts, and geographic region.
GET
/
api
/
post
/
comments
cURL
Authorizations
Your Recoup API key. Learn more.
Query Parameters
The unique identifier of the post to fetch comments for
The page number to retrieve (default: 1)
The number of records per page (default: 20, max: 100)
Required range:
x <= 100